| XMP Toolkit SDK 6.0.0

Public Member Functions | Private Attributes | List of all members
XMP_Error Class Reference

XMP Toolkit error, associates an error code with a descriptive error string. More...

`#include <XMP_Const.h>`

## Public Member Functions
| XMP_Error (XMP_Int32 _id, XMP_StringPtr _errMsg)
| Constructor for an XMP_Error. More...
XMP_Int32 | GetID () const
| Retrieves the numeric code from an XMP_Error. More...
XMP_StringPtr | GetErrMsg () const
| Retrieves the descriptive string from an XMP_Error. More...
XMP_Bool | IsNotified () const
| Retrieves the information whether particular error is notified or not. More...
void | SetNotified ()
| Sets the notification status for an error. More...

## Private Attributes
XMP_Int32 | id
| Exception code. See constants `kXMPErr_Unknown` and following. More...
XMP_StringPtr | errMsg
XMP_Bool | notified
| Variable to store whether this particular error is notified to user or not. More...

## Detailed Description

XMP Toolkit error, associates an error code with a descriptive error string.

Definition at line 1330 of file XMP_Const.h.

## Constructor & Destructor Documentation

## ◆ XMP_Error()

XMP_Error::XMP_Error | ( | XMP_Int32 | _id,
|  | XMP_StringPtr | _errMsg
| ) |  |
| inline

Constructor for an XMP_Error.

Parameters

  _id | The numeric code.
  _errMsg | The descriptive string, for debugging use only. It must not be shown to users in a final product. It is written for developers, not users, and never localized.

Definition at line 1339 of file XMP_Const.h.

1339 : id(_id), errMsg(_errMsg), notified(false) {};

## Member Function Documentation

## ◆ GetErrMsg()

XMP_StringPtr XMP_Error::GetErrMsg | ( |  | ) | const
| inline

Retrieves the descriptive string from an XMP_Error.

Definition at line 1345 of file XMP_Const.h.

1345 { return errMsg; };

References errMsg.

## ◆ GetID()

XMP_Int32 XMP_Error::GetID | ( |  | ) | const
| inline

Retrieves the numeric code from an XMP_Error.

Definition at line 1342 of file XMP_Const.h.

1342 { return id; };

References id.

## ◆ IsNotified()

XMP_Bool XMP_Error::IsNotified | ( |  | ) | const
| inline

Retrieves the information whether particular error is notified or not.

Definition at line 1348 of file XMP_Const.h.

1348 { return notified; }

References notified.

## ◆ SetNotified()

void XMP_Error::SetNotified | ( |  | ) |
| inline

Sets the notification status for an error.

Definition at line 1351 of file XMP_Const.h.

1351 { notified = true; };

References notified.

## Member Data Documentation

## ◆ errMsg

XMP_StringPtr XMP_Error::errMsg
| private

Descriptive string, for debugging use only. It must not be shown to users in a final product. It is written for developers, not users, and never localized.

Definition at line 1358 of file XMP_Const.h.

Referenced by GetErrMsg().

## ◆ id

XMP_Int32 XMP_Error::id
| private

Exception code. See constants `kXMPErr_Unknown` and following.

Definition at line 1351 of file XMP_Const.h.

Referenced by GetID().

## ◆ notified

XMP_Bool XMP_Error::notified
| private

Variable to store whether this particular error is notified to user or not.

Definition at line 1360 of file XMP_Const.h.

Referenced by IsNotified(), and SetNotified().

The documentation for this class was generated from the following file:

- public/include/XMP_Const.h

XMP_Error::id
XMP_Int32 id
Exception code. See constants kXMPErr_Unknown and following.
Definition: XMP_Const.h:1351
XMP_Error::errMsg
XMP_StringPtr errMsg
Definition: XMP_Const.h:1358
XMP_Error::notified
XMP_Bool notified
Variable to store whether this particular error is notified to user or not.
Definition: XMP_Const.h:1360